﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrp_PerformanceTemplate.cs
*
*功 能： N / A
* 类 名： Ghrp_PerformanceTemplate
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/6/4 14:15:24  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 考核模板 (Model)
    /// </summary>
    [SugarTable("Ghrp_PerformanceTemplate", "Ghrp_PerformanceTemplate"), Entity(TableCnName = "考核模板", TableName = "Ghrp_PerformanceTemplate")]
    public class Ghrp_PerformanceTemplate : BasePoco
    {

        /// <summary>
        /// 考核模板编号
        /// </summary>
        [Display(Name = "TemplateNo"), Description("考核模板编号"), MaxLength(100, ErrorMessage = "考核模板编号 不能超过 100 个字符")]
        public string TemplateNo { get; set; }

        /// <summary>
        /// 考核模板名称
        /// </summary>
        [Display(Name = "TemplateName"), Description("考核模板名称"), MaxLength(100, ErrorMessage = "考核模板名称 不能超过 100 个字符")]
        public string TemplateName { get; set; }

        /// <summary>
        /// 考核周期类别ID
        /// </summary>
        public long? PerformancePeriodTypeID { get; set; }

        /// <summary>
        /// 考核周期类别编号
        /// </summary>
        [Display(Name = "PeriodTypeNo"), Description("考核周期类别编号"), MaxLength(200, ErrorMessage = "考核周期类别编号 不能超过 200 个字符")]
        public string PeriodTypeNo { get; set; }

        /// <summary>
        /// 考核阶段
        /// </summary>
        [Display(Name = "StageItem"), Description("考核阶段"), MaxLength(100, ErrorMessage = "考核阶段 不能超过 100 个字符")]
        public string StageItem { get; set; }

        /// <summary>
        /// 考核对象
        /// </summary>
        public long? StaffGroupID { get; set; }

        /// <summary>
        /// 总分
        /// </summary>
        [Display(Name = "TotalScore"), Description("总分"), Column(TypeName = "decimal(18,2)")]
        public decimal? TotalScore { get; set; }

        /// <summary>
        /// 表单是否允许超过总分
        /// </summary>
        public int? IsOutScore { get; set; }

        /// <summary>
        /// 考核模板权重
        /// </summary>
        [Display(Name = "Weight"), Description("考核模板权重"), Column(TypeName = "decimal(18,2)")]
        public decimal? Weight { get; set; }

        /// <summary>
        /// 考核阶数（含本人）
        /// </summary>
        public int? LevelNum { get; set; }

        /// <summary>
        /// 考核主管显示方式
        /// </summary>
        [Display(Name = "MGShowType"), Description("考核主管显示方式"), MaxLength(255, ErrorMessage = "考核主管显示方式 不能超过 255 个字符")]
        public string MGShowType { get; set; }

        /// <summary>
        /// 模板类型
        /// </summary>
        [Display(Name = "TemplateType"), Description("模板类型"), MaxLength(255, ErrorMessage = "模板类型 不能超过 255 个字符")]
        public string TemplateType { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// 默认标志
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// 预留字段1
        /// </summary>
        [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// 预留字段2
        /// </summary>
        [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// 预留字段3
        /// </summary>
        [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// 预留字段4
        /// </summary>
        [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// 预留字段5
        /// </summary>
        [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// 预留字段6
        /// </summary>
        [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// 预留字段7
        /// </summary>
        [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// 预留字段8
        /// </summary>
        [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// 预留字段9
        /// </summary>
        [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// 预留字段10
        /// </summary>
        [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
        public string Reverse10 { get; set; }

        /// <summary>
        /// 预留字段11
        /// </summary>
        public int? ReverseI1 { get; set; }

        /// <summary>
        /// 预留字段12
        /// </summary>
        public int? ReverseI2 { get; set; }

        /// <summary>
        /// 内置
        /// </summary>
        public int? BuiltIn { get; set; }
    }
}
